Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class PackedDecimalFieldFactory

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.PackedDecimalFieldFactory

All Implemented Interfaces:
  FlatRecordFieldFactory

    public class PackedDecimalFieldFactory

extends java.lang.Object
implements FlatRecordFieldFactory

Constructor Summary
`PackedDecimalFieldFactory(Name name, Label label, int startPosition, int fieldWidth, int digitCount, int decimalPlaces, DefaultValue defaultValueEvaluator, FlatFileOptionsFactory flatFileOptionsFactory)`

Method Summary
`void` | `appendFlatRecordField(ServiceContext context, Flow flow, FlatFileOptions defaultOptions, java.util.List<FlatRecordField> flatRecordFieldList)`
`boolean` | `isBinary()`
`boolean` | `isFieldDelimited()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackedDecimalFieldFactory

    public PackedDecimalFieldFactory(Name name,
                                     Label label,
                                     int startPosition,
                                     int fieldWidth,
                                     int digitCount,
                                     int decimalPlaces,
                                     DefaultValue defaultValueEvaluator,
                                     FlatFileOptionsFactory flatFileOptionsFactory)

Method Detail

### appendFlatRecordField

    public void appendFlatRecordField(ServiceContext context,
                                      Flow flow,
                                      FlatFileOptions defaultOptions,
                                      java.util.List<FlatRecordField> flatRecordFieldList)

  Specified by:
    `appendFlatRecordField` in interface `FlatRecordFieldFactory`

### isFieldDelimited

    public boolean isFieldDelimited()

  Specified by:
    `isFieldDelimited` in interface `FlatRecordFieldFactory`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordFieldFactory`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordFieldFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD